<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<rccworker language="c++" spec="fifo_message-spec" version="2" controloperations="start">
  <specproperty name="current_data_fill" readsync="true"/>
  <specproperty name="current_message_fill" readsync="true"/>
  <specproperty name="empty_count" readsync="true" writesync="true"/>
  <specproperty name="full_data_count" readsync="true" writesync="true"/>
  <specproperty name="full_message_count" readsync="true" writesync="true"/>
  <port name="output" workereof="true"/>
</rccworker>
